lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Anurag Sharma <anura...@gmail.com>
Subject Re: [VOTE] Release 4.10.2 RC0
Date Sun, 02 Nov 2014 04:19:04 GMT
Hi,

Not sure this is the right thread to ask this question. Suggest me if I
need to open another thread.

I am running smokeTestRelease.py first time on my local machine in the
context of https://issues.apache.org/jira/browse/SOLR-6474 and
understanding how the smoke test can be launched using the script.

First I was running it using Python-27 and faced SyntaxError issues and got
rid of them when tried with Python 3.4.2.

Now getting error when am trying to run smoke using command below:
python -u smokeTestRelease.py
http://people.apache.org/~mikemccand/staging_area/lucene-solr-4.10.2-RC1-rev1634293

Java 1.7 JAVA_HOME=C:\Program Files\Java\jdk1.7.0_51
Traceback (most recent call last):
  File "smokeTestRelease.py", line 1522, in <module>
    main()
  File "smokeTestRelease.py", line 1465, in main
    c = parse_config()
  File "smokeTestRelease.py", line 1351, in parse_config
    c.java = make_java_config(parser, c.test_java8)
  File "smokeTestRelease.py", line 1303, in make_java_config
    run_java7 = _make_runner(java7_home, '1.7')
  File "smokeTestRelease.py", line 1294, in _make_runner
    shell=True, stderr=subprocess.STDOUT).decode('utf-8')
  File "C:\Program Files (x86)\Python34\lib\subprocess.py", line 620, in
check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command 'export JAVA_HOME="C:\Program
Files\Java\jdk1.7.0_51" PATH="C:\Program Files\Java\jdk1.7.0_51/bin:$PATH"
JAVACMD="C:\Program Files\Java\jdk1.7.0_51/bin/java"; java -version'
returned non-zero exit status 1

The only usage example I find in the code is it takes a URL param and it's
giving the above error:
    Example usage:
    python3.2 -u dev-tools/scripts/smokeTestRelease.py
http://people.apache.org/~whoever/staging_area/lucene-solr-4.3.0-RC1-rev1469340

Please suggest if I am missing anything (path/env setting) while running
through URL param in the above fashion. Also, is there a way I can run the
smoke locally without giving URL params.

Thanks
Anurag

On Sun, Oct 26, 2014 at 3:02 PM, Michael McCandless <
lucene@mikemccandless.com> wrote:

> This constant is gone as of 5.x (LUCENE-5900): good riddance ;)
>
>
> Mike McCandless
>
> http://blog.mikemccandless.com
>
> On Sun, Oct 26, 2014 at 5:30 AM, Uwe Schindler <uwe@thetaphi.de> wrote:
>
>> I think we should do this also in 5.x and trunk. I am not sure if the
>> problem exists there, too, but that would make it easier.
>>
>>
>>
>> There is only one reason why you _*could*_ make those versions explicit:
>> If you want to prevent users mixing the test framework with an incorrect
>> version of Lucene (e.g. use test-franework version 4.10.0 with Lucene
>> 4.10.2). But we have no check for this, so this is theoretical…
>>
>>
>>
>> Uwe
>>
>>
>>
>> -----
>>
>> Uwe Schindler
>>
>> H.-H.-Meier-Allee 63, D-28213 Bremen
>>
>> http://www.thetaphi.de
>>
>> eMail: uwe@thetaphi.de
>>
>>
>>
>> *From:* Michael McCandless [mailto:lucene@mikemccandless.com]
>> *Sent:* Sunday, October 26, 2014 10:24 AM
>> *To:* Lucene/Solr dev
>>
>> *Subject:* Re: [VOTE] Release 4.10.2 RC0
>>
>>
>>
>> +1, I'll just do that.
>>
>>
>>
>> Mike McCandless
>>
>> http://blog.mikemccandless.com
>>
>>
>>
>> On Sun, Oct 26, 2014 at 5:21 AM, Uwe Schindler <uwe@thetaphi.de> wrote:
>>
>> Why not set the constant in LTC to LUCENE_LATEST? It is no longer an
>> enum, so there is no need to set it explicit. Version.LUCENE_LATEST
>> explicitely points to latest.
>>
>>
>>
>> Uwe
>>
>>
>>
>> -----
>>
>> Uwe Schindler
>>
>> H.-H.-Meier-Allee 63, D-28213 Bremen
>>
>> http://www.thetaphi.de
>>
>> eMail: uwe@thetaphi.de
>>
>>
>>
>> *From:* Michael McCandless [mailto:lucene@mikemccandless.com]
>> *Sent:* Sunday, October 26, 2014 9:38 AM
>> *To:* Lucene/Solr dev; Simon Willnauer
>> *Subject:* Re: [VOTE] Release 4.10.2 RC0
>>
>>
>>
>> Argh.  Why does no Lucene test fail ...
>>
>>
>>
>> I'll add a failing test, fix the constant, respin.
>>
>>
>>
>> Mike McCandless
>>
>> http://blog.mikemccandless.com
>>
>>
>>
>> On Sun, Oct 26, 2014 at 4:32 AM, Simon Willnauer <
>> simon.willnauer@gmail.com> wrote:
>>
>> I think we need to respin here - I upgraded ES and I got some failures
>> since the
>>
>>
>>
>> LuceneTestCase#TEST_VERSION_CURRENT is still 4.10.1
>>
>>
>>
>> see:
>>
>>
>>
>>
>> http://svn.apache.org/viewvc/lucene/dev/branches/lucene_solr_4_10/lucene/test-framework/src/java/org/apache/lucene/util/LuceneTestCase.java
>>
>>
>>
>> i am not sure if this has impact on anything but it's definitely wrong
>> no? I think there should be a test in lucene that checks if this version
>> points to `Versoin.LATEST`?
>>
>>
>>
>> simon
>>
>>
>>
>> On Sat, Oct 25, 2014 at 11:35 PM, Anshum Gupta <anshum@anshumgupta.net>
>> wrote:
>>
>> +1
>>
>>
>>
>> SUCCESS! [1:05:35.187369]
>>
>>
>>
>> On Fri, Oct 24, 2014 at 9:53 AM, Michael McCandless <
>> lucene@mikemccandless.com> wrote:
>>
>> Artifacts:
>> http://people.apache.org/~mikemccand/staging_area/lucene-solr-4.10.2-RC0-rev1634084/
>>
>> Smoke tester: python3 -u dev-tools/scripts/smokeTestRelease.py
>>
>> http://people.apache.org/~mikemccand/staging_area/lucene-solr-4.10.2-RC0-rev1634084
>> 1634084 4.10.2 /tmp/smoke4102 True
>>
>> SUCCESS! [0:29:20.274057]
>>
>> Here's my +1
>>
>> Mike McCandless
>>
>> http://blog.mikemccandless.com
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
>> For additional commands, e-mail: dev-help@lucene.apache.org
>>
>>
>>
>>
>>
>> --
>>
>> *Anshum Gupta*
>>
>> about.me/anshumgupta
>>
>>
>>
>>
>>
>>
>>
>>
>>
>
>

Mime
View raw message